Get Employee Punch Details

Summary Description

The GET Punch Detail V2 endpoint provides access to detailed punch information for a single employee. It returns all associated punch data, including work and non-work time entries, to support analysis and time-record management. Punch Detail V2 uses four-decimal precision for timesheets that track time in hours rather than seconds. For example, 7.2567 hours. Users can filter Punch Detail V2 results by relative date and time, using the time zone associated with your request.

Filtering by Date Range
The Punch Detail API can be filtered by the relative date and time based on your time zone. For example:
Start of the day: At 00:00:00 (midnight), marking the beginning of the day.
Midday: At 12:00:00 (noon), halfway through the day.
End of the day: At 23:59:59, just a second before the next day begins.

A 24 hour day is represented by using:

relativeStart={{relativeStartTime}}&relativeEnd={{relativeEndTime}}

"relativeStart": "2024-03-05T00:00:00"

"relativeEnd": "2024-03-05T23:59:00"

/Time/v2/companies/{{companyId}}/employees/{{employeeId}}/punchdetails?relativeStart={{relativeStartTime}}&relativeEnd={{relativeEndTime}}

For more information on implementing this API, see our Punch Details Overview

Use Cases

  • Retrieve a single employee's punch records for a selected timeframe.
  • Use four-decimal-place hour values from work and non-work punches.
  • Retrieve punch activity so managers can identify missing or irregular punches before approving timecards.
Path Params
string
required

The Paylocity Company ID. This is the unique value provided by Paylocity to each specific Payroll Entity.

string
required

The Paylocity Employee ID. This is a unique value per Paylocity Company ID.

Query Params
date-time
required

The relative DateTime for the beginning of the WorkedShift. Value must not have timezone information.
Allowable Values:
Format: yyyy-MM-ddT00:00:00

date-time
required

The relative DateTime for the end of the WorkedShift. Value must not have timezone information.
Allowable Values:
Format: yyyy-MM-ddT00:00:00

boolean
Defaults to false

A Boolean value that, when set to "true", returns mock data.

Responses

401

Unauthorized

403

Forbidden

429

Too Many Requests

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Choose an example:
application/json